#########################################
# slideshow configuration defaults
#
#   override settings in:
#     ~/slideshow.yml in home folder
#        or
#     ./slideshow.yml in working folder


######################
# lets you define default/fallback headers

headers:
  generator: "<%= Slideshow.generator %>"
  author:  Markus J. Q. Roberts
  email:   markus@reality.com
  company: Your Company Here
  title:   How to multiply small integers while <del>Markus</del>human
  subtitle: 
  footer: How to multiply small integers while <del>Markus</del>human
  subfooter: Your Subfooter Here
  date:  "<%= Date.today %>"

  # todo: use nested config?? eg.
  # gradient:
  #   theme: dark
  #   color1:
  gradient-theme:  diagonal
  gradient-colors:  red orange

  # todo: use nested config??
  #
  # SyntaxHighligher (sh) | ultraviolet (uv) | coderay (cr)
  code-engine:  sh
  # Text Mate Hyperlink for Source?
  code-txmt:  false
  # todo: add code-linenumbers??




# your google analytics code  
analytics:
  google: UA-XXX


########################################################3
### text/markup (textile, markdown) processing config

# filters to run before markup processing
filters:
  - skip-end-directive
  - directives_bang_style_to_percent_style
  - directives_percent_style
  - comments-percent-style 
  - leading-headers
  - erb-django-style
  - erb-rename-helper-hack
  - dump_content_to_file_debug_text_erb
  - erb
  - code-block-curly-style
  - dump_content_to_file_debug_text


# markup (textile, markdown, rest) config

textile:
  extnames: [ .textile, .t ]

rest:
  extnames: [ .rst, .rest ]

# NB: markdown now configured in markdown.yml (using markdown gem)


#############################
# shortcuts for fetching template packs
#   map shortcut to URI
fetch:
  s6syntax: https://raw.github.com/geraldb/slideshow-s6-syntax-highlighter/master/s6syntax.txt
  s6blank: https://raw.github.com/geraldb/slideshow-s6-blank/master/s6blank.txt
  s5blank: https://raw.github.com/geraldb/slideshow-s5-blank/master/s5blank.txt
  s5themes: https://raw.github.com/geraldb/slideshow-s5-themes/master/s5themes.txt
  fullerscreen: https://raw.github.com/geraldb/slideshow-fullerscreen/master/fullerscreen.txt
  slidy: https://raw.github.com/geraldb/slideshow-slidy/master/slidy.txt
  g5: https://raw.github.com/geraldb/slideshow-google-html5-slides/master/g5.txt
  slippy: https://raw.github.com/geraldb/slideshow-slippy/master/slippy.txt
  csss: https://raw.github.com/geraldb/slideshow-csss/master/csss.txt
  deck.js: https://raw.github.com/geraldb/slideshow-deck.js/master/deck.js.txt
  impress.js: https://raw.github.com/geraldb/slideshow-impress.js/master/impress.js.txt
  shower: https://raw.github.com/geraldb/slideshow-shower/master/shower.txt

###########################
# shortcuts for quick starter templates
quick:
  slidy: https://raw.github.com/geraldb/slideshow-slidy/master/slidy.txt.quick
  deck.js: https://raw.github.com/geraldb/slideshow-deck.js/master/deck.js.txt.quick
  impress.js: https://raw.github.com/geraldb/slideshow-impress.js/master/impress.js.txt.quick
  csss: https://raw.github.com/geraldb/slideshow-csss/master/csss.txt.quick
